Subject: bug#7521: 24.0.50; doc for `delimit-columns-*'

From: "Drew Adams" <[email-masked]>
Date: Sat, 2 Jul 2011 08:59:20 -0700

> > But even then the doc strings of the various functions 
> > (these are user _commands_, after all) need to give some
> > explanation.  If we cannot explain these commands at all
> > then maybe that's a sign that the
> > commands themselves are overly complex.
> 
> There are oodles of commands tied to various modes/packages 
> that presume that you're aware of what the general gist of
> the package is.

There is certainly no need and no use in describing the general gist of a
package in the doc for each of the packages commands.  That's not the point at
all.

> It wouldn't be very productive to explain the concept of a
> Message buffer in each message-mode command, for instance.

Of course, but that's not the request.  I don't use `message-mode', but I would
guess (hope) that the doc for each of its _commands_ describes that command.

If there were a `message-mode' command `msg-delete' (fictitious example) that
deleted the current message then I would hope its doc string would say that's
what it does.